Loading...
Searching...
No Matches
coap_proxy_server_t Struct Reference
Application API » Proxy

`#include <coap_proxy.h>`

Collaboration diagram for coap_proxy_server_t:
[legend]

## Data Fields

coap_uri_t | uri
| host and port define the server, scheme method
coap_dtls_pki_t * | dtls_pki
| PKI configuration to use if not NULL.
coap_dtls_cpsk_t * | dtls_cpsk
| PSK configuration to use if not NULL.
coap_oscore_conf_t * | oscore_conf
| OSCORE configuration if not NULL.

## Detailed Description

Definition at line 36 of file coap_proxy.h.

## Field Documentation

## dtls_cpsk

coap_dtls_cpsk_t* coap_proxy_server_t::dtls_cpsk

PSK configuration to use if not NULL.

Definition at line 39 of file coap_proxy.h.

## dtls_pki

coap_dtls_pki_t* coap_proxy_server_t::dtls_pki

PKI configuration to use if not NULL.

Definition at line 38 of file coap_proxy.h.

## oscore_conf

coap_oscore_conf_t* coap_proxy_server_t::oscore_conf

OSCORE configuration if not NULL.

Definition at line 40 of file coap_proxy.h.

## uri

coap_uri_t coap_proxy_server_t::uri

host and port define the server, scheme method

Definition at line 37 of file coap_proxy.h.

The documentation for this struct was generated from the following file:

- coap_proxy.h